import { Repository } from "typeorm";
import { Shop } from "../../common/shop/shop.entity";
import { CreateShopDto, UpdateShopDto, UpdateStatusDto } from "./shop.dto";
import { Service } from "src/common/service/service.entity";
import { User } from "src/appapi/user/user.entity";
export declare class AdminShopService {
    private readonly shopRepository;
    private serviceRepository;
    private readonly userRepository;
    constructor(shopRepository: Repository<Shop>, serviceRepository: Repository<Service>, userRepository: Repository<User>);
    create(createShopDto: CreateShopDto): Promise<Shop>;
    findAll(vendorId?: string, onlyActive?: boolean): Promise<Shop[]>;
    findOne(id: number): Promise<Shop>;
    update(id: number, updateShopDto: UpdateShopDto): Promise<Shop>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, status: UpdateStatusDto): Promise<Shop>;
}
